./devel/rubigen, Ruby stub generator

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 1.5.5nb2, Package name: ruby23-rubigen-1.5.5nb2, Maintainer: pkgsrc-users

A framework to allow Ruby applications to generate file/folder stubs
(like the rails command does for Ruby on Rails, and the `script/generate'
command within a Rails application during development).


Required to run:
[lang/ruby23-base]

Required to build:
[pkgtools/cwrappers]

Master sites:

SHA1: e72e105ab59ef84d11de58f4f38036568df52d37
RMD160: 66f03b6c5b1e35a897c56fc6fdcd9dea2fb92ab6
Filesize: 55.5 KB

Version history: (Expand)


CVS history: (Expand)


   2017-06-21 17:42:11 by Takahiro Kambe | Files touched by this commit (17)
Log message:
Bump revision due to change of PKGPATH of depending rails components' packages.
   2015-11-03 04:29:40 by Alistair G. Crooks | Files touched by this commit (1995)
Log message:
Add SHA512 digests for distfiles for devel category

Issues found with existing distfiles:
	distfiles/eclipse-sourceBuild-srcIncluded-3.0.1.zip
	distfiles/fortran-utils-1.1.tar.gz
	distfiles/ivykis-0.39.tar.gz
	distfiles/enum-1.11.tar.gz
	distfiles/pvs-3.2-libraries.tgz
	distfiles/pvs-3.2-linux.tgz
	distfiles/pvs-3.2-solaris.tgz
	distfiles/pvs-3.2-system.tgz
No changes made to these distinfo files.

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.
   2011-12-13 16:51:17 by Takahiro Kambe | Files touched by this commit (1)
Log message:
Switch to use RUBY_RAILS_SUPPORTED.
   2011-03-28 16:08:38 by Takahiro Kambe | Files touched by this commit (1)
Log message:
Switch to use RUBY_RAILS.

No functional change.
   2010-09-13 16:49:54 by Takahiro Kambe | Files touched by this commit (4) | Package updated
Log message:
* Add two CONFLICTS patterns:
	- matches previous package name without "${RUBY_PKGPREFIX}-"
	- matches current "ruby18-" and "ruby19-" packages

Bump PKGREVISION because addition of latter pattern.
   2010-09-10 07:07:22 by Takahiro Kambe | Files touched by this commit (2) | Package updated
Log message:
Update devel/rubigen to 1.5.5.

* Use lang/ruby/gem.mk instead of misc/rubygems/rubygem.mk.
* Update HOMEPAGE.
* Add LICENSE.
* Remove default value of GEM_BUILD.

== 1.5.5 2010-05-25

* Allow activesupport 2.3.5+
   2010-03-08 13:51:45 by Filip Hajny | Files touched by this commit (3) | Package updated
Log message:
Updated devel/rubigen to 1.5.4.

1.5.4
- mocha, cucumber and shoulda are development dependencies (fixes
  requirement for thoughtbot-shoulda too)

1.5.3
- Forced rubigen to use activesupport 2.3.5 (as the last < 3.0
  version). It will upgrade to use 3.0.0 when it is released.

1.5.2
- Trying to remove a circular rubigen->newgem->rubigen dependency issue

1.5.1
- Return #write_manifest which was accidently removed
- Moved website into gh-pages branch

1.5.0
- Preparation for integration back into Rails
- --git/-g option for generated files to be added via git commands
- after_generate hook for generators (used as rails' templates mechanism)
- bumped activesupport requirement to 2.2.2
- upgraded internal files to support latest newgem (removed config/
  folder, moved config to Rakefile)
- support for RAILS_ROOT as a destination root
- removed references to Merb which now has its own generator system;
  can access any merb generators via 'rubigen' helper app
- RubiGen::Base.active can be changed to a RubiGen::Base subclass that will
  be used for lookups (e.g. RubiGen::Base.active = Rails::Generator::Base)

1.4.0
- rubigen tests now pass against ruby 1.9.0 and ruby 1.9.1(prerelease 2)
- puts are sent to an explicit #stdout which can be STDOUT or a StringIO
  passed from tests; test output is now clean!
   2009-06-14 19:49:18 by Joerg Sonnenberger | Files touched by this commit (454)
Log message:
Remove @dirrm entries from PLISTs